local constants = require "constants"

local extended = {}
local simulation_tiles = {
    "landfill"
}

for _, name in pairs(simulation_tiles) do
    local tile = data.raw["tile"][name]
    if tile then
        tile.factoriopedia_simulation = {
            mods = { constants.mod_name },
            init = [[remote.call("]] .. constants.mod_name .. [[", "]] .. name .. [[")]]
        }
        table.insert(extended, tile)
    end
end

if #extended > 0 then
    data:extend(extended)
end
