local environment = require "library.environment"
local story       = require "library.story"
local simulations = {}

function simulations.landfill()
    local sequence = story.new_sequence(210)
    local surface = game.surfaces[1]

    environment.fill_tiles(surface, "water", { { -7, -3 }, { 7, 2 } })
    local player = game.simulation.create_test_player {
        name = "Player"
    }
    game.simulation.move_cursor {
        position = { -8, 0 },
        speed = 1
    }
    game.simulation.mouse_down()
    --
    --sequence:event(0, function()
    --    player.teleport { -9, 0 }
    --    player.cursor_stack.set_stack { name = "landfill", count = 100 }
    --    player.walking_state = { walking = true, direction = defines.direction.east }
    --end)
    --
    --sequence:event(210, function()
    --    player.clear_cursor()
    --    player.walking_state = { walking = false, direction = defines.direction.east }
    --end)

    sequence:finish()
end

return simulations
